# PSVIAttributeStorage Class Reference

A container for the PSVI contributions to attributes that occur on a particular element. More...

Inheritance diagram for PSVIAttributeStorage:

List of all members.

## Public Member Functions

| PSVIAttributeStorage ()
| ~PSVIAttributeStorage ()

## Public Attributes

PSVIAttribute * | fPSVIAttribute
const XMLCh * | fAttributeName
const XMLCh * | fAttributeNamespace

## Detailed Description

A container for the PSVI contributions to attributes that occur on a particular element.

This is always owned by the parser/validator from which it is obtained. The parser/validator will specify under what conditions it may be relied upon to have meaningful contents.

## Constructor & Destructor Documentation

PSVIAttributeStorage::PSVIAttributeStorage | ( |  | ) |

PSVIAttributeStorage::~PSVIAttributeStorage | ( |  | ) |

## Member Data Documentation

PSVIAttribute* PSVIAttributeStorage::fPSVIAttribute

Referenced by PSVIAttributeList::getPSVIAttributeToFill().

const XMLCh* PSVIAttributeStorage::fAttributeName

Referenced by PSVIAttributeList::getPSVIAttributeToFill().

const XMLCh* PSVIAttributeStorage::fAttributeNamespace

Referenced by PSVIAttributeList::getPSVIAttributeToFill().

The documentation for this class was generated from the following file:

- PSVIAttributeList.hpp